## ucar.multiarray
Interface MultiArray

All Superinterfaces:
  Accessor, MultiArrayInfo

All Known Implementing Classes:
  ArrayMultiArray, MultiArrayImpl, MultiArrayProxy, ScalarMultiArray, StringCharAdapter, Variable

public interface MultiArray
extends MultiArrayInfo, Accessor

Interface for multidimensional arrays. Includes introspection by extending MultiArrayInfo and data access by extending Accessor.

These are more general and abstract than Netcdf Variables. Netcdf Variables implement this, but more general objects, such as java arrays, can be simply wrapped to provide this interface.

See Also:
  `MultiArrayInfo`, `Accessor`, `Variable`, `MultiArrayImpl`, `ArrayMultiArray`, `ScalarMultiArray`, `MultiArrayProxy`

Method Summary
`Object` `getStorage()`

Methods inherited from interface ucar.multiarray.MultiArrayInfo
`getComponentType, getLengths, getRank, isScalar, isUnlimited`

Methods inherited from interface ucar.multiarray.Accessor
`copyin, copyout, get, getBoolean, getByte, getChar, getDouble, getFloat, getInt, getLong, getShort, set, setBoolean, setByte, setChar, setDouble, setFloat, setInt, setLong, setShort, toArray, toArray`

Method Detail

### getStorage

    public Object getStorage()

  Returns:
    a the original one dimensional Array containing all the elements in this MultiArray